Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 4 Feb 2009 15:58:09 +0300
From:      Max Brazhnikov <makc@issp.ac.ru>
To:        freebsd-x11@freebsd.org
Cc:        Warren Liddell <shinjii@maydias.com>, freebsd-questions@freebsd.org
Subject:   Re: CMake error compiling kdepimlibs4
Message-ID:  <200902041558.09357.makc@issp.ac.ru>
In-Reply-To: <49892942.8030501@maydias.com>
References:  <49892942.8030501@maydias.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Wed, 04 Feb 2009 15:36:02 +1000, Warren Liddell wrote:
> I have been trying to compile KDE4.2 on AMD64 7.1-STABLE machine, but
> atm this is 1 of the errors thats stopping it from working.
>
> ------------------------------------------------
>
>
>
> CMake Error at CMakeLists.txt:128 (macro_write_basic_cmake_version_file):
>   Unknown CMake command "macro_write_basic_cmake_version_file".
>
>
> -- Configuring incomplete, errors occurred!
> *** Error code 1
>
> Stop in /usr/ports/deskutils/kdepimlibs4.
> *** Error code 1
>
> Stop in /usr/ports/devel/kdesdk4.
> ** Command failed [exit code 1]: /usr/bin/script -qa
> /tmp/portupgrade.64941.3 env UPGRADE_TOOL=portupgrade
> UPGRADE_PORT=kdesdk-4.1.4 UPGRADE_PORT_VER=4.1.4 make
> DEPENDS_TARGET=package
>
>
>
> ** Fix the problem and try again.
you need cmake-2.6.2 for KDE-4.2.0.

btw, kde@freebsd.org maillist is preferable when you have problems like that.

Max



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?200902041558.09357.makc>